%define upstream_name    Monitoring-Availability
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Load/Store/Access Logfiles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.870.0
BuildArch:  noarch

%description
This module calculates the availability for hosts/server from given
logfiles. The Logfileformat is Nagios/Icinga only.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 370042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 342386
- update to 0.40

* Wed Jul 04 2012 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 267390
- update to 0.38

* Tue Jun 05 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 255733
- adding missing buildrequires:
- update to 0.36

* Mon Mar 05 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 218762
- update to 0.24
- update to 0.20

* Tue Apr 19 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 88536
- update to 0.18

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 28660
- mageia rebuild
- imported package perl-Monitoring-Availability

